package com.yspay.saas.demo;

import com.yspay.saas.AbstractGmsTest;
import net.sf.json.JSONObject;
import org.junit.Test;


/**
 * 进件开通线上交易权限
 *
 * @author shitao
 * @date 2021/12/28  15:58
 */
public class GmsOrgOnlineTradingPermissionDemoTest extends AbstractGmsTest {
    /**
     * 开发环境机构号
     */
    private String localCerId = "ORG20211203135803";
    /**
     * 生产环境机构号
     */
    private String proCerId = "ORG20191114174409";

    @Test
    public void onlineTradingPermission() throws Exception {
        JSONObject obj1 = new JSONObject();
        //位数为1为开通 第1位微信小程序支付 第2位微信公众号支付(新)
        // 第3位微信反扫 第4位支付宝正扫 第5位支付宝反扫
        // 第6位支付宝服务商 第7位银联正扫 第8位银联反扫 第9位行业码
        //开通权限 多个用,隔开
        obj1.put("scanServiceOpen", "1,2,3,4,5,6,7,8,9");
        obj1.put("mercId", "826741057228062");
        //接入机构号
        obj1.put("accOrgNo", "ORG20191114174409");
        JSONObject obj = new JSONObject();
        //添加费率信息
        //obj.put("rscanTempMark", "1231");
        //obj.put("rscanFeeTemplateNo", "123123");
        //反扫微信费类型(1百分比 2固定金额)
        obj.put("rscanWxFeeType", "1");
        //反扫微信费率% （例如0.3表示%0.3）
        obj.put("rscanWxFeeRate", "0.3");
        //反扫微信金额（百分比时候为封底金额  固定金额时为固定金额）
        obj.put("rscanWxFeeNum", "1.00");
        //反扫支付宝费类型(1百分比 2固定金额)
        obj.put("rscanAliFeeType", "1");
        //反扫支付宝费率
        obj.put("rscanAliFeeRate", "0.4");
        //反扫支付宝金额（百分比时候为封底金额  固定金额时为固定金额）
        obj.put("rscanAliFeeNum", "2.00");
        //反扫银联借记卡一档费率类型(1百分比 2固定金额)
        obj.put("rscanDebitType1", "1");
        //反扫银联借记卡一档金额（固定金额时为固定金额）
        obj.put("rscanDebitNum1", "0.5");
        //反扫银联借记卡一档金额（百分比时为封底金额）
        obj.put("rscanDebitMin1", "1.00");
        //反扫银联借记卡一档金额（百分比时为封顶金额）
        obj.put("rscanDebitMax1", "99999999.00");
        //反扫银联借记卡二档费率类型(1百分比 2固定金额)
        obj.put("rscanDebitType2", "1");
        //反扫银联借记卡二档金额（固定金额时为固定金额）
        obj.put("rscanDebitNum2", "0.26");
        //反扫银联借记卡二档金额（百分比时为封底金额）
        obj.put("rscanDebitMin2", "0.1");
        //反扫银联借记卡二档金额（百分比时为封顶金额）
        obj.put("rscanDebitMax2", "999");
        //反扫银联贷记卡一档费率类型(1百分比 2固定金额)
        obj.put("rscanCreditType1", "1");
        //反扫银联贷记卡一档金额（固定金额时为固定金额）
        obj.put("rscanCreditNum1", "0.53");
        //反扫银联贷记卡一档金额（百分比时为封底金额）
        obj.put("rscanCreditMin1", "2.00");
        //反扫银联贷记卡二档费类型(1百分比 2固定金额)
        obj.put("rscanCreditType2", "1");
        //反扫银联贷记卡二档金额（固定金额时为固定金额）
        obj.put("rscanCreditNum2", "0.25");
        //反扫银联贷记卡二档金额（百分比时为封底金额）
        obj.put("rscanCreditMin2", "0.1");
        obj1.put("easyFeeBean", obj);
        sendPost("orgScan/onlineTrading", obj1, localCerId, EVN.LOCAL);
    }
}
