package com.yspay.saas.demo;

import com.alibaba.fastjson.JSONObject;
import com.yspay.saas.AbstractGmsTest;
import com.yspay.saas.util.GenerateSignUtil;
import org.apache.commons.codec.binary.Base64;
import org.junit.Test;

import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author shitao
 * @date 2021/12/28  16:05
 */
public class GmsOrgQryApplyDemo extends AbstractGmsTest {
    /**
     * 开发环境机构号
     */
    private String localCerId = "ORG20191114174409";
    /**
     * 生产环境机构号
     */
    private String proCerId = "ORG20211227202407";

    @Test
    public void orgQryApply() throws Exception {
        Map<String, Object> map = new HashMap<String, Object>();
        JSONObject obj = new JSONObject();
        obj.put("merchantType", "3"); // 商户类型 1：个体工商户 2：企业 3：小微
        obj.put("microType", "00"); // 小微商户类型
        obj.put("industryCategoryId", "1520"); // 行业类目
        obj.put("businessLicenseName", "岑阿芬测试"); // 营业执照全称
        obj.put("mercAbbr", ""); // 商户简称 非必填
        obj.put("baobeiName", "岑继芬"); // 报备名称
        obj.put("businessLicenseCode", ""); // 营业执照号
        obj.put("area", "5848");// 营业地址区
        obj.put("city", "5840");// 营业地址市
        obj.put("province", "5800");// 营业地址省
        obj.put("businessAddress", "远景大厦"); // 营业执照地址
        obj.put("businessLicenseEff", "");// 营业执照开始时间
        obj.put("businessLicenseExpired", "");// 营业执照有效期
        obj.put("lawyerName", "岑继芬");// 法人姓名
        obj.put("lawyerCertNo", "522326199403031843");// 法人身份证号
        obj.put("certNoValidEff", "20200620"); // 法人身份证开始时间
        obj.put("certNoValid", "29991231"); // 法人身份证号有效期
        obj.put("contactPerson", "cenjf"); // 联系人姓名
        obj.put("contactPhone", "13928485720");// 联系人电话
        obj.put("email", "cenjf@eptok.com"); // 联系人邮箱
        obj.put("serviceTel", "13222321111"); // 客服电话
        obj.put("actualManager", "");// 实际控制人
        obj.put("actualNo", ""); // 实际控制人身份证号码
        obj.put("actualNoValid", "");// 实际控制人证件有效期
        obj.put("beneficiary", "");// 受益人
        obj.put("beneficiaryCerno", "");// 受益人身份证号码
        obj.put("beneficiaryCernoValid", "");// 受益人证件有效期
        obj.put("authNm", "");// 授权人
        obj.put("authidNo", "");// 授权人身份证号码
        obj.put("authidNoValid", "");// 授权人证件有效期
        obj.put("contractType", "2"); //合同类型：1-纸质、2-电子
        map.put("selfRegisterInfo", obj);
        obj = new JSONObject();
        obj.put("accountName", "岑继芬"); // 结算账户户名
        obj.put("accountNo", "6217902000025127559"); // 结算账户卡号
        obj.put("accountType", "2"); // 结算帐号类型 1-对公账户、2-法人账户、3-被授权人账户
        obj.put("bankArea", "东城区"); // 开户行区
        obj.put("bankCity", "北京市");// 开户行市
        obj.put("bankProvince", "北京市");// 开户行省
        obj.put("bankCode", "104100004013"); // 开户行行号
        obj.put("bankMobile", "13928485720"); // 预留手机号
        obj.put("bankName", "中国银行"); // 开户行名称
        obj.put("bankSubbranchName", "中国银行股份有限公司北京市分行"); // 开户行名称（支行）
        obj.put("bankType", "1041000"); // 开户行编号号
        obj.put("idcardNo", "522326199403031843"); // 结算账户人证件号
        map.put("selfStAccount", obj);
        List<JSONObject> list = new ArrayList<JSONObject>();
        obj = new JSONObject();
        obj.put("busiType", "05"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "1"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.32"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("minFeeAmt", "1.33"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        obj.put("userAccountType", "**"); // 消费卡类型：00-借记卡； 01-贷记卡；
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "06"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "1"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.6"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("minFeeAmt", "1.15"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        obj.put("userAccountType", "**"); // 消费卡类型：00-借记卡； 01-贷记卡；
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "08"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "3"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.60"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("feecalType", "1"); // 银联套档（1：一档，2：二档）
        obj.put("userAccountType", "00"); // 消费卡类型：00-借记卡； 01-贷记卡；
        obj.put("minFeeAmt", "1.55"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        obj.put("maxFeeAmt", "25");// 封顶金额
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "08"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "3"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.60"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("feecalType", "2"); // 银联套档（1：一档，2：二档）
        obj.put("userAccountType", "00"); // 消费卡类型：00-借记卡； 01-贷记卡；
        obj.put("minFeeAmt", "1.99"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        obj.put("maxFeeAmt", "10");// 封顶金额
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "08"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "3"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.60"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("feecalType", "1"); // 银联套档（1：一档，2：二档）
        obj.put("userAccountType", "01"); // 消费卡类型：00-借记卡； 01-贷记卡；
        obj.put("minFeeAmt", "1.77"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "08"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "3"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.23"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("feecalType", "2"); // 银联套档（1：一档，2：二档）
        obj.put("userAccountType", "01"); // 消费卡类型：00-借记卡； 01-贷记卡；
        obj.put("minFeeAmt", "1.25"); // 封底金额：计费方式为固定金额时，系统默认该值为0；计费方式为百分比时 必填
        // 单位:元
        list.add(obj);
        obj = new JSONObject();
        obj.put("busiType", "01"); // 业务类型：08-银联扫码；05-微信支付 06-支付宝支付 01-垫资费
        obj.put("feeCalMth", "1"); // 计费方式：1-固定金额 ；2-按百分比 ；6-双重计费 3-银联分层套档
        obj.put("feeRat1", "0.03"); // 费率：按百分比计费时，费率必填 按固定金额计费时 系统默认为0
        obj.put("userAccountType", "**"); // 消费卡类型：00-借记卡； 01-贷记卡；
        list.add(obj);

        map.put("selfQrcodeFee", list);// 商户�?称（小票
        net.sf.json.JSONObject jsonObject = net.sf.json.JSONObject.fromObject(map);
        sendPost("orgQry/addQry", jsonObject, localCerId, EVN.LOCAL);

    }

    @Test
    public void queryQryInfo() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysFlowId", "202101200952517623793");
        sendPost("orgQry/queryQry", map, localCerId, EVN.LOCAL);
    }

    // 保存图片
    @Test
    public void savePicTest() throws Exception {
        String sign = "";
        try {
            HashMap<String, String> param = new HashMap<String, String>();
            File file = new File("d:\\data\\st.jpg");
            param.put("picType", "A012");
            param.put("sysFlowId", "27202201041117399825649");
            param.put("accOrg", localCerId);

            sign = GenerateSignUtil.generateGmSign(param, privateKeyPath, pwd);
            param.put("signValue", sign);
            /* sendPost("orgQry/uploadQryPic",param,localCerId,EVN.LOCAL);*/
            String result = sendBasicPic("orgQry/uploadQryPic", param, file, "file", EVN.LOCAL);
            System.out.println(result);
            byte[] dataByte = Base64.decodeBase64(result);
            System.out.println("解码后："+new String(dataByte));

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
