package com.yspay.saas.demo;

import cfca.org.slf4j.Logger;
import cfca.org.slf4j.LoggerFactory;
import com.yspay.saas.AbstractGmsTest;
import com.yspay.saas.util.GenerateSignUtil;
import org.junit.Test;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * 机构类接口
 *
 * @author shitao
 * @date 2021/12/28  14:38
 */
public class OrgDemoScan extends AbstractGmsTest {
    private static final Logger LOGGER = LoggerFactory.getLogger(OrgDemoScan.class);
    /**
     * 机构进件
     */
    private static final String URI_MERCHANT = "org/addMerchant";
    /**
     * 扫码进件
     */
    private static final String URI_ADD_SCAN_MERCHANT = "org/addScanMerchant";
    /**
     * 重新提交扫码进件
     */
    private static final String URI_UPDATE_SCAN_MERCHANT = "org/updateScanMerchant";
    /**
     * 查询商户
     */
    private static final String URI_QUERY_MERCHANT = "org/queryMerchant";

    private static final String URI_SAV_PIC = "org/uploadPic";
    /**
     * 开发环境机构号
     */
    private String localCerId = "ORG20191114174409";
    /**
     * 生产环境机构号
     */
    private String proCerId = "ORG20220210194627";

    @Test
    public void merchantScanTest() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("coOperatorNo", ""); //代理商号801558388885733
        map.put("userType", "3");// 商户模式：1-一般商户;2-平台商户；3-小微商户  企业1和0  小微31 个体0
        map.put("mchcategory", "1"); //报备所需商户类型 0-企业、1-小微、2-个体
        map.put("businessLicence", "深圳市锋影科技有限公司");// 营业执照全称
        map.put("userShortName", "深圳市锋影科技有限公司");// 商户简称（小票 ?
        map.put("businessLicenceNo", "91440300MA5DANDAXC");// 营业执照号码
        map.put("businessLicenceSdate", "20190910");// 营业执照开始始日期
        map.put("businessLicenceEdate", "20250910");// 营业执照结束日期
        map.put("registeredAddress", "广东");// 注册地址
        map.put("businessAddress", "深圳");// 营业地址
        map.put("legalPersonName", "王新社");// 法人姓名
        map.put("legalPersonId", "811301000111206");// 法人身份证号
        map.put("legalPersonIdSdate", "20101111");// 法人身份证开始日期
        map.put("legalPersonIdEdate", "29991111");// 法人身份证到期日期
        map.put("legalPersonPhone", "13657244591");// 法人电话
        map.put("crpNationality","249");//法人国籍
        map.put("crpGender","1");//法人性别.  (0男 1女)
        map.put("crpProfession","1");//法人职业
        map.put("crpAddr","法人地址");//法人地址
        map.put("actualManager", "叶明");// 实际控制人
        map.put("certType", "00");// 证件类型 身份证 00（只支持00）
        map.put("marketShow","Y"); //是否参加营销活动

        map.put("balanceAccType", "11");// 结算卡类型（21-对公，11-对私）
        map.put("codeLegalPersonAcc","1");//是否法人结算  (0: 非法人结算  ,为空或 1: 法人结算)
//        map.put("unincorporatedName","陈飞飞");//非法人姓名
//        map.put("unincorporatedId","");//非法人身份证号
//        map.put("balanceAccCardno", "6217582000012837423");// 结算账户卡号
//        map.put("balanceAccName", "叶明");// 结算账户户名，（正式环境下，如果实名认证不通过，企业选择一般商户，个体户，对公账户，不会校验是否实名的情况，可以按这个设置数据测试）
//        map.put("openAccProvince", "广东省");// 开户行省
//        map.put("openAccCity", "深圳市");// 开户行市
//        map.put("openAccArea", "罗湖区");// 开户行区
//        map.put("bankName", "中国银行");// 开户行行别名称
//        map.put("bankType", "1041000");// 开户行行别编号
//        map.put("openAccBanktype", "104584002646");// 开户行编号（支行）
//        map.put("openAccBankname", "中国银行股份有限公司深圳彩虹支行");// 开户行名称（支行）
        map.put("unincorporatedName","王新社");//非法人姓名
        map.put("unincorporatedId","140105195501170819");//非法人身份证号
        map.put("balanceAccCardno", "622909337260925515");// 结算账户卡号
        map.put("balanceAccName", "王新社");// 结算账户户名，（正式环境下，如果实名认证不通过，企业选择一般商户，个体户，对公账户，不会校验是否实名的情况，可以按这个设置数据测试）
        map.put("openAccProvince", "湖北省");// 开户行省
        map.put("openAccCity", "武汉市");// 开户行市
        map.put("openAccArea", "新洲区");// 开户行区
        map.put("bankName", "兴业银行");// 开户行行别名称
        map.put("bankType", "3093910");// 开户行行别编号
        map.put("openAccBanktype", "309124000116");// 开户行编号（支行）
        map.put("openAccBankname", "兴业银行唐山分行");// 开户行名称（支行）
        map.put("lowestStlAmt", "15");// 结算起始金额，单笔
        map.put("bankMobile", "13657244591");// 银行预留手机号
        map.put("contactsName", "李新宙");// 联系人姓名
        map.put("contactsPhone", "13657244591");// 联系人电话
        map.put("contactsEmail", "chenfeifei@eptok.com");// 联系人邮箱
        map.put("contactsAddr", "广东省深圳市福田区");// 联系人通讯地址
        map.put("mercProv", "广东省"); //省
        map.put("mercCity", "中山市");//市
        map.put("mercArea", "中山市"); //区
        map.put("mccSubCd","005");//银盛商户类型
        map.put("industry","01");//行业类别
        map.put("mccCd", "5722");  //MCC代码
        map.put("mercLvl", "1");// 商户级别
        map.put("mercUpId", "");// 总店商户 ?
        map.put("expandingManager", "阿芬");//拓展经理
        map.put("remark", "");// 备注

        map.put("openScan","0");//是否开通扫码业务：0 不开通 ， 1 开通；  默认开通
        map.put("wechatSignRate", "0.55");// 微信签约费率（%）
        map.put("wechatSignMin", "500");// 微信签约费率封底（分）
        map.put("alipaySignRate", "0.55");// 支付宝签约费 ?（%）
        map.put("alipaySignMin", "10");// 支付宝签约费率封底（分）
        map.put("creditRate1", "0.55");//银联一档（>1000）：贷记卡费率（%）
        map.put("creditMin1", "50");//银联一档（>1000）：贷记卡封底.（分）
        map.put("debitRate1", "0.55");//银联一档（>1000）：借记卡费率（%）
        map.put("debitMin1", "40");//银联一档（>1000）：借记卡封底（分）
        map.put("debitMax1", "2000");//银联一档（>1000）：借记卡封顶（分）
        map.put("creditRate2", "0.55");//银联二档（<=1000）：贷记卡费率（%）
        map.put("creditMin2", "30");//银联二档（<=1000）：贷记卡封底（分）
        map.put("debitRate2", "0.55");//银联二档（<=1000）：借记卡费率（%）
        map.put("debitMin2", "20");//银联二档（<=1000）：借记卡封底（分）
        map.put("debitMax2", "1000");//银联二档（<=1000）：借记卡封顶（分）
        map.put("codeAdvanceOpen", "1");//是否开通扫码快付垫资费(0：不开通，1：开通）
        map.put("codeAdvanceRate", "0.02");//垫资费费率（%）
        map.put("codeAdvanceMin", "260");//垫资费费率封底（分）

        map.put("mchtype", "134");//报备所需行业类型（报备）
        map.put("appletAppid", ""); //小程序APPID（报备）
        map.put("appid", "");  //公众号（报备）
        map.put("jsapiPath1", ""); // 公众号授权目录1（报备）
        map.put("jsapiPath2", ""); // 公众号授权目录2（报备）
        map.put("jsapiPath3", ""); // 公众号授权目录3（报备）
        map.put("jsapiPath4", ""); // 公众号授权目录4（报备）
        map.put("jsapiPath5", ""); // 公众号授权目录5（报备）

        map.put("openPosp","0");//是否开通刷卡业务：0 不开通 ， 1 开通；

        map.put("openBusRadio","01");//到账方式（必填） 00：工作日到账  01 ：天天到账  只能二选一
        map.put("t111Rate", "0.68");//工作日到账-借记卡费率（%）
        map.put("t111RateTop", "2200");//工作日到账-借记卡费率封顶（分）
        map.put("t111SignRateMin", "220");//工作日到账-借记卡费率封底（分）
        map.put("t112Rate", "0.56");//工作日到账-贷记卡费率（%）
        map.put("t112SignRateMin", "120");//工作日到账-贷记卡费率封底（分）
        map.put("t11Rate", "0.6");//天天到账-借记卡费率.（%）
        map.put("t11RateTop", "999900");//天天到账-借记卡费率封顶.（分）
        map.put("t11SignRateMin", "133");//天天到账-借记卡费率封底.（分）
        map.put("t12Rate", "0.65");//天天到账-贷记卡费率（%）
        map.put("t12SignRateMin", "210");//天天到账-贷记卡费率封底（分）
        map.put("tadvanceType", "百分比");//天天到账-垫资费类型（百分比、元）
        map.put("tadvanceFee", "0.9");//天天到账-垫资费（%）
        map.put("tAdvanceMin", "990");//天天到账-垫资费封底（分）

        map.put("fastPay", "1");//是否开通快付（实时到账）（0：不开通，1：开通）
        map.put("d011Rate", "0.7");//实时到账-借记卡费率（%）
        map.put("d011RateTop", "5500");//实时到账-借记卡费率封顶（分）
        map.put("d011RateBottom", "130");//实时到账-借记卡费率最低（分）
        map.put("d0AdvanceJsignType", "百分比");//实时到账-借记卡签约费率垫资费类型(百分比；元)
        map.put("d0AdvanceJsignFee", "0.4");//实时到账-借记卡签约费率垫资费(单位:%；分)
        map.put("d0AdvanceJsignMin", "91");//实时到账-借记卡签约费率垫资费封底(单位:分)
        map.put("d0AdvanceJsignMax", "999900");//实时到账-借记卡签约费率垫资费封顶(单位:分)
        map.put("d012Rate", "0.81");//实时到账-贷记卡费率（%）
        map.put("d012RateBottom", "210");//实时到账-贷记卡费率最低.（分）
        map.put("d0AdvanceDsignType", "百分比");//实时到账-贷记卡签约费率垫资费类型(百分比；元).
        map.put("d0AdvanceDsignFee", "0.99");//实时到账-贷记卡签约费率垫资费(单位:%；分).
        map.put("d0AdvanceDsignMin", "110");//实时到账-贷记卡签约费率垫资费封底(单位:分).
        map.put("d0AdvanceDsignMax", "999900");//实时到账-贷记卡签约费率垫资费封顶(单位:分).

        String result = sendPost(URI_MERCHANT, map, localCerId, EVN.LOCAL);
        System.out.println(result);
    }

    @Test
    public void addScanMerchantTest() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("coOperatorNo", ""); //代理商号801558388885733
        map.put("userType", "3");// 商户模式：1-一般商户;2-平台商户；3-小微商户  企业1和0
        map.put("mchcategory", "1"); //报备所需商户类型 0-企业、1-小微、2-个体
        map.put("businessLicence", "深圳市锋影科技有限公司");// 营业执照全称
        map.put("userShortName", "深圳市锋影科技有限公司");// 商户简称（小票�?
        map.put("businessLicenceNo", "91440300MA5DANDAXC");// 营业执照号码
        map.put("businessLicenceSdate", "20190910");// 营业执照开始始日期
        map.put("businessLicenceEdate", "20250910");// 营业执照结束日期
        map.put("registeredAddress", "广东");// 注册地址
        map.put("businessAddress", "深圳");// 营业地址
        map.put("legalPersonName", "王新社");// 法人姓名
        map.put("legalPersonId", "140105195501170819");// 法人身份证号
        map.put("legalPersonIdSdate", "20101111");// 法人身份证开始日期
        map.put("legalPersonIdEdate", "29991111");// 法人身份证到期日期
        map.put("legalPersonPhone", "13657244591");// 法人电话
        map.put("crpNationality","249");//法人国籍
        map.put("crpGender","1");//法人性别.  (0男 1女)
        map.put("crpProfession","1");//法人职业
        map.put("crpAddr","法人地址");//法人地址
        map.put("actualManager", "叶明");// 实际控制人
        map.put("certType", "00");// 证件类型 身份证 00（只支持00）
        map.put("marketShow","Y"); //是否参加营销活动

        map.put("balanceAccType", "11");// 结算卡类型（21-对公，11-对私）
        map.put("codeLegalPersonAcc","1");//是否法人结算  (0: 非法人结算  ,为空或 1: 法人结算)
//        map.put("unincorporatedName","陈飞飞");//非法人姓名
//        map.put("unincorporatedId","");//非法人身份证号
//        map.put("balanceAccCardno", "6217582000012837423");// 结算账户卡号
//        map.put("balanceAccName", "叶明");// 结算账户户名，（正式环境下，如果实名认证不通过，企业选择一般商户，个体户，对公账户，不会校验是否实名的情况，可以按这个设置数据测试）
//        map.put("openAccProvince", "广东省");// 开户行省
//        map.put("openAccCity", "深圳市");// 开户行市
//        map.put("openAccArea", "罗湖区");// 开户行区
//        map.put("bankName", "中国银行");// 开户行行别名称
//        map.put("bankType", "1041000");// 开户行行别编号
//        map.put("openAccBanktype", "104584002646");// 开户行编号（支行）
//        map.put("openAccBankname", "中国银行股份有限公司深圳彩虹支行");// 开户行名称（支行）
        map.put("unincorporatedName","王新社");//非法人姓名
        map.put("unincorporatedId","140105195501170819");//非法人身份证号
        map.put("balanceAccCardno", "622909337260925515");// 结算账户卡号
        map.put("balanceAccName", "王新社");// 结算账户户名，（正式环境下，如果实名认证不通过，企业选择一般商户，个体户，对公账户，不会校验是否实名的情况，可以按这个设置数据测试）
        map.put("openAccProvince", "湖北省");// 开户行省
        map.put("openAccCity", "武汉市");// 开户行市
        map.put("openAccArea", "新洲区");// 开户行区
        map.put("bankName", "兴业银行");// 开户行行别名称
        map.put("bankType", "3093910");// 开户行行别编号
        map.put("openAccBanktype", "309124000116");// 开户行编号（支行）
        map.put("openAccBankname", "兴业银行唐山分行");// 开户行名称（支行）
        map.put("lowestStlAmt", "15");// 结算起始金额，单笔
        map.put("bankMobile", "13657244591");// 银行预留手机号
        map.put("contactsName", "李新宙");// 联系人姓名
        map.put("contactsPhone", "13657244591");// 联系人电话
        map.put("contactsEmail", "chenfeifei@eptok.com");// 联系人邮箱
        map.put("contactsAddr", "广东省深圳市福田区");// 联系人通讯地址
        map.put("mercProv", "广东省"); //省
        map.put("mercCity", "中山市");//市
        map.put("mercArea", "中山市"); //区
        map.put("mccSubCd","005");//银盛商户类型
        map.put("industry","01");//行业类别
        map.put("mccCd", "5722");  //MCC代码
        map.put("mercLvl", "1");// 商户级别
        map.put("mercUpId", "");// 总店商户�?
        map.put("expandingManager", "阿芬");//拓展经理
        map.put("remark", "");// 备注

        map.put("openScan","0");//是否开通扫码业务：0 不开通 ， 1 开通；  默认开通
        map.put("wechatSignRate", "0.55");// 微信签约费率（%）
        map.put("wechatSignMin", "500");// 微信签约费率封底（分）
        map.put("alipaySignRate", "0.55");// 支付宝签约费�?（%）
        map.put("alipaySignMin", "10");// 支付宝签约费率封底（分）
        map.put("creditRate1", "0.55");//银联一档（>1000）：贷记卡费率（%）
        map.put("creditMin1", "50");//银联一档（>1000）：贷记卡封底.（分）
        map.put("debitRate1", "0.55");//银联一档（>1000）：借记卡费率（%）
        map.put("debitMin1", "40");//银联一档（>1000）：借记卡封底（分）
        map.put("debitMax1", "2000");//银联一档（>1000）：借记卡封顶（分）
        map.put("creditRate2", "0.55");//银联二档（<=1000）：贷记卡费率（%）
        map.put("creditMin2", "30");//银联二档（<=1000）：贷记卡封底（分）
        map.put("debitRate2", "0.55");//银联二档（<=1000）：借记卡费率（%）
        map.put("debitMin2", "20");//银联二档（<=1000）：借记卡封底（分）
        map.put("debitMax2", "1000");//银联二档（<=1000）：借记卡封顶（分）
        map.put("codeAdvanceOpen", "1");//是否开通扫码快付垫资费(0：不开通，1：开通）
        map.put("codeAdvanceRate", "0.02");//垫资费费率（%）
        map.put("codeAdvanceMin", "260");//垫资费费率封底（分）

        map.put("mchtype", "134");//报备所需行业类型（报备）
        map.put("appletAppid", ""); //小程序APPID（报备）
        map.put("appid", "");  //公众号（报备）
        map.put("jsapiPath1", ""); // 公众号授权目录1（报备）
        map.put("jsapiPath2", ""); // 公众号授权目录2（报备）
        map.put("jsapiPath3", ""); // 公众号授权目录3（报备）
        map.put("jsapiPath4", ""); // 公众号授权目录4（报备）
        map.put("jsapiPath5", ""); // 公众号授权目录5（报备）

        map.put("openPosp","0");//是否开通刷卡业务：0 不开通 ， 1 开通；

        map.put("openBusRadio","01");//到账方式（必填） 00：工作日到账  01 ：天天到账  只能二选一
        map.put("t111Rate", "0.68");//工作日到账-借记卡费率（%）
        map.put("t111RateTop", "2200");//工作日到账-借记卡费率封顶（分）
        map.put("t111SignRateMin", "220");//工作日到账-借记卡费率封底（分）
        map.put("t112Rate", "0.56");//工作日到账-贷记卡费率（%）
        map.put("t112SignRateMin", "120");//工作日到账-贷记卡费率封底（分）
        map.put("t11Rate", "0.6");//天天到账-借记卡费率.（%）
        map.put("t11RateTop", "999900");//天天到账-借记卡费率封顶.（分）
        map.put("t11SignRateMin", "133");//天天到账-借记卡费率封底.（分）
        map.put("t12Rate", "0.65");//天天到账-贷记卡费率（%）
        map.put("t12SignRateMin", "210");//天天到账-贷记卡费率封底（分）
        map.put("tadvanceType", "百分比");//天天到账-垫资费类型（百分比、元）
        map.put("tadvanceFee", "0.9");//天天到账-垫资费（%）
        map.put("tAdvanceMin", "990");//天天到账-垫资费封底（分）

        map.put("fastPay", "1");//是否开通快付（实时到账）（0：不开通，1：开通）
        map.put("d011Rate", "0.7");//实时到账-借记卡费率（%）
        map.put("d011RateTop", "5500");//实时到账-借记卡费率封顶（分）
        map.put("d011RateBottom", "130");//实时到账-借记卡费率最低（分）
        map.put("d0AdvanceJsignType", "百分比");//实时到账-借记卡签约费率垫资费类型(百分比；元)
        map.put("d0AdvanceJsignFee", "0.4");//实时到账-借记卡签约费率垫资费(单位:%；分)
        map.put("d0AdvanceJsignMin", "91");//实时到账-借记卡签约费率垫资费封底(单位:分)
        map.put("d0AdvanceJsignMax", "999900");//实时到账-借记卡签约费率垫资费封顶(单位:分)
        map.put("d012Rate", "0.81");//实时到账-贷记卡费率（%）
        map.put("d012RateBottom", "210");//实时到账-贷记卡费率最低.（分）
        map.put("d0AdvanceDsignType", "百分比");//实时到账-贷记卡签约费率垫资费类型(百分比；元).
        map.put("d0AdvanceDsignFee", "0.99");//实时到账-贷记卡签约费率垫资费(单位:%；分).
        map.put("d0AdvanceDsignMin", "110");//实时到账-贷记卡签约费率垫资费封底(单位:分).
        map.put("d0AdvanceDsignMax", "999900");//实时到账-贷记卡签约费率垫资费封顶(单位:分).

        String result = sendPost(URI_ADD_SCAN_MERCHANT, map,  localCerId, EVN.LOCAL);
    }

    @Test
    public void updateScanMerchantTest() throws Exception {
        Map<String, String> map = new HashMap<String, String>();

        //流水号
        map.put("sysFlowId", "流水号");

        map.put("businessLicence", "机构测试商户1");// 营业执照全称
        map.put("userShortName", "机构测试商户");// 商户�?称（小票�?
        map.put("businessLicenceNo", "44030069119");// 营业执照号码
        map.put("businessLicenceSdate", "20080803");// 营业执照�?始日�?
        map.put("businessLicenceEdate", "29991221");// 营业执照结束日期
        map.put("registeredAddress", "深圳");// 注册地址
        map.put("businessAddress", "深圳");// 营业地址
        map.put("legalPersonName", "吴广义");// 法人姓名
        map.put("legalPersonId", "110115198702028588");// 法人身份证号
        map.put("legalPersonIdSdate", "20101111");// 法人身份证开始日�?
        map.put("legalPersonIdEdate", "29991111");// 法人身份证到期日�?
        map.put("legalPersonPhone", "13928485720");// 法人电话
        map.put("unincorporatedName", "马丽");// 非法人姓�?
        map.put("unincorporatedId", "210623198910073245");// 非法人身份证号码
        map.put("balanceAccCardno", "6227000066510036662");// 结算账户卡号
        map.put("balanceAccName", "吴广义");// 结算账户户名
        map.put("openAccProvince", "北京市");// �?户行�?
        map.put("openAccCity", "北京市");// �?户行�?
        map.put("openAccArea", "东城区");// �?户行�?
        map.put("bankName", "建设银行");// �?户行行别名称
        map.put("bankType", "1051000");// �?户行行别编号
        map.put("openAccBanktype", "105821005099");// �?户行编号（支行）
        map.put("openAccBankname", "中国建设银行伊春市分行友好分理处营业部");// �?户行名称（支行）
        map.put("contactsName", "小伟");// 联系人姓�?
        map.put("contactsPhone", "13928485720");// 联系人电�?
        map.put("contactsEmail", "cenjf@eptok.com");// 联系人邮�?
        map.put("wechatSignRate", "0.6");// 微信签约费率
        map.put("wechatSignMin", "1.2");// 微信签约费率封底
//        map.put("wechatSignMax", "10000");// 微信签约费率封顶
        map.put("alipaySignMin", "200");// 支付宝签约费率封底
//        map.put("alipaySignMax","20000");// 支付宝签约费率封顶
        map.put("alipaySignRate", "99");// 支付宝签约费�?
        map.put("creditRate1", "53");//银联一档（>1000）：贷记卡费率
        map.put("creditMin1", "1001");//银联一档（>1000）：贷记卡封底.
        map.put("debitRate1", "50");//银联一档（>1000）：借记卡费率
        map.put("debitMin1", "1500");//银联一档（>1000）：借记卡封底
        map.put("debitMax1", "3500");//银联一档（>1000）：借记卡封顶
        map.put("creditRate2", "25");//银联二档（<=1000）：贷记卡费率
        map.put("creditMin2", "1001");//银联二档（<=1000）：贷记卡封底
        map.put("debitRate2", "26");//银联二档（<=1000）：借记卡费率
        map.put("debitMin2", "1001");//银联二档（<=1000）：借记卡封底
        map.put("debitMax2", "3000");//银联二档（<=1000）：借记卡封顶
        map.put("t111Rate", "0.55");//工作日到账-借记卡费率
        map.put("t111RateTop", "22");//工作日到账-借记卡费率封顶
        map.put("t111SignRateMin", "0.00");//工作日到账-借记卡费率封底
        map.put("t112Rate", "0.55");//工作日到账-贷记卡费率
        map.put("t112SignRateMin", "0.00");//工作日到账-贷记卡费率封底
        map.put("t11Rate", "");//天天到账-借记卡费率.
        map.put("t11RateTop", "");//天天到账-借记卡费率封顶.
        map.put("t11SignRateMin", "");//天天到账-借记卡费率封底.
        map.put("t12Rate", "");//天天到账-贷记卡费率
        map.put("t12SignRateMin", "");//天天到账-贷记卡费率封底
        map.put("tadvanceType", "百分比");//天天到账-垫资费类型（百分比、元）
        map.put("tadvanceFee", "0.05");//天天到账-垫资费
        map.put("tAdvanceMin", "");//天天到账-垫资费封底
        map.put("d011Rate", "0.46");//实时到账-借记卡费率
        map.put("d011RateTop", "22");//实时到账-借记卡费率封顶
        map.put("d011RateBottom", "2");//实时到账-借记卡费率最低
        map.put("d012Rate", "0.46");//实时到账-贷记卡费率
        map.put("d012RateBottom", "2");//实时到账-贷记卡费率最低.
        map.put("d0AdvanceJsignType", "百分比");//实时到账-借记卡签约费率垫资费类型(百分比；元)
        map.put("d0AdvanceJsignFee", "0.05");//实时到账-借记卡签约费率垫资费(单位:0.01%；元)
        map.put("d0AdvanceJsignMin", "1.00");//实时到账-借记卡签约费率垫资费封底(单位:分)
        map.put("d0AdvanceJsignMax", "20.00");//实时到账-借记卡签约费率垫资费封顶(单位:分)
        map.put("d0AdvanceDsignType", "百分比");//实时到账-贷记卡签约费率垫资费类型(百分比；元).
        map.put("d0AdvanceDsignFee", "0.03");//实时到账-贷记卡签约费率垫资费(单位:0.01%；元).
        map.put("d0AdvanceDsignMin", "2.00");//实时到账-贷记卡签约费率垫资费封底(单位:分).
        map.put("d0AdvanceDsignMax", "20.00");//实时到账-贷记卡签约费率垫资费封顶(单位:分).


        map.put("codeAdvanceOpen", "1");//是否开通扫码快付垫资费(0：不开通，1：开通）
        map.put("fastPay", "1");//是否开通快付（0：不开通，1：开通）
        map.put("codeAdvanceRate", "0.03");//垫资费费率
        map.put("codeAdvanceMin", "0.3");//垫资费费率
        map.put("mccSubCd", "1111");//银盛商户类型
        map.put("industry", "02");//行业类别
        map.put("crpNationality", "249");//法人国籍
        map.put("crpGender", "0");//法人性别.  (0男 1女)
        map.put("crpProfession", "1");//法人职业
        map.put("crpAddr", "深圳");//法人地址
        map.put("openBusRadio", "00");//到账方式（必填） 00：工作日到账  01 ：天天到账  只能二选一
        map.put("scanFlag", "0");//是否开通扫码报备（1：不开通，0：开通）
        map.put("codeLegalPersonAcc", "1");//是否法人结算  (0: 非法人结算  , 1: 法人结算)
        map.put("unincorporatedName", "");//非法人姓名
        map.put("unincorporatedId", "522326199403031843");//非法人身份证号
        map.put("orgNo", "111223");//子机构号（必填）


        map.put("userType", "0");// 商户模式�?0-�?般商�?;2-平台商户
        map.put("remark", "");// 备注
        map.put("lowestStlAmt", "15");// 结算起始金额，单�?
        map.put("bankMobile", "13322234567");// 银行预留手机�?
        map.put("actualManager", "小李");// 实际控制�?
        map.put("certType", "00");// 证件类型 身份�? 00（只支持00�?
        map.put("mercLvl", "1");// 商户级别
        map.put("mercUpId", "");// 总店商户�?
        map.put("contactsAddr", "广东省深圳市龙华区");// 联系人�?�讯地址
        map.put("balanceAccType", "11");// 结算卡类�?
        map.put("expandingManager", "阿芬");
        map.put("mccCd", "5722");  //行业类型
        map.put("mercProv", "广东省"); //省
        map.put("mercCity", "深圳市");//市
        map.put("mercArea", "龙华区"); //区
        map.put("mchcategory", "0"); //报备所需商户类型
        map.put("mchtype", "134");//报备所需行业类型
        map.put("appletAppid", ""); //小程序APPID
        map.put("appid", "");  //公众号
        map.put("jsapiPath1", ""); // 公众号授权目录1
        map.put("jsapiPath2", ""); // 公众号授权目录2
        map.put("jsapiPath3", ""); // 公众号授权目录3
        map.put("jsapiPath4", ""); // 公众号授权目录4
        map.put("jsapiPath5", ""); // 公众号授权目录5
        sendPost(URI_UPDATE_SCAN_MERCHANT, map, localCerId, EVN.LOCAL);
    }

    @Test
    public void getInfoTest() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysFlowId", "12202103151649251573332");
        sendPost(URI_QUERY_MERCHANT, map, localCerId, EVN.LOCAL);
    }

    @Test
    public void savePicTest() throws Exception {
        HashMap<String, String> param = new HashMap<String, String>();
        File file = new File("D:\\data\\st.jpg");
        param.put("picType", "A012");
        param.put("sysFlowId", "27202201041117399825649");
        String sign = GenerateSignUtil.generateGmSign(param, privateKeyPath, pwd);
        param.put("signValue", sign);
        String result = sendBasicPic(URI_SAV_PIC, param, file, "file",EVN.LOCAL);
        System.out.println(result);
    }

}
