package com.yspay.saas.util;

import cfca.sadk.algorithm.common.Mechanism;

import java.io.FileInputStream;
import java.security.PrivateKey;
import java.security.PublicKey;

public class GMJSignVerify {
    PrivateKey priKey;
    PublicKey pubKey;

    public void setKey(PrivateKey priKey, PublicKey pubKey) {
        this.priKey = priKey;
        this.pubKey = pubKey;
    }

    public boolean VerifyFileSM2(String inFile, byte[] pSigBuf, int SigLen) throws Exception {
        return VerifyFile(inFile, pSigBuf, SigLen, Mechanism.SM3_SM2);
    }

    public boolean VerifyMemorySM2(byte[] info, byte[] signed) throws Exception {
        return VerifyMemory(info, signed, Mechanism.SM3_SM2);
    }


    public boolean VerifyMemory(byte[] info, byte[] signed, String method) throws Exception {
        java.security.Signature signetcheck = java.security.Signature.getInstance(method);
        signetcheck.initVerify(pubKey);
        signetcheck.update(info);
        if (signetcheck.verify(signed)) {
            return true;
        } else {
            return false;
        }

    }

    public boolean VerifyFile(String inFile, byte[] pSigBuf, int SigLen, String method) throws Exception {
        byte[] buf = new byte[1024];
        int num;
        FileInputStream fin = new FileInputStream(inFile);
        java.security.Signature signetcheck = java.security.Signature.getInstance(method);
        signetcheck.initVerify(pubKey);
        while ((num = fin.read(buf, 0, buf.length)) != -1) {
            signetcheck.update(buf, 0, num);
        }
        if (signetcheck.verify(pSigBuf, 0, SigLen)) {
            return true;
        } else {
            return false;
        }
    }

}
